Deploy new Linter category (tidy-whitespace-bug)
Closed, ResolvedPublic

Description

Tracking ticket for deployment so interested folks can monitor progress.

Associated patches:
Parsoid: https://gerrit.wikimedia.org/r/#/c/371068/
Linter extension: https://gerrit.wikimedia.org/r/#/c/371071/

ssastry created this task.Aug 11 2017, 2:24 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 11 2017, 2:24 PM
ssastry triaged this task as High priority.Aug 11 2017, 2:26 PM
Izno added a subscriber: Izno.Aug 23 2017, 2:44 PM

Tidy whitespace bug (4,379 errors) appears at Special:Linterrors on en.WP. Is this done, @ssastry?

Tidy whitespace bug (4,379 errors) appears at Special:Linterrors on en.WP. Is this done, @ssastry?

Not quite yet. We are refining the output to make it more useful for editors. See https://gerrit.wikimedia.org/r/#/c/372896/ .. But, we expect to have it deployed this week.

Johan added a subscriber: Johan.Aug 24 2017, 8:01 PM

@IKhitron has suggested this for inclusion in Tech News. How would you phrase it in a couple of simple sentences?

@IKhitron has suggested this for inclusion in Tech News. How would you phrase it in a couple of simple sentences?

Actually, for now the things changed and I'm not sure either it should be in this issue or the next one.

@IKhitron has suggested this for inclusion in Tech News. How would you phrase it in a couple of simple sentences?

Let us wait a week before we announce this. We pushed out a fix today that improves the reporting in this category. @Legoktm is going to start a bot run soon to re-generate linter errors for all pages on all wikis (which addresses complaints of error information being incomplete). We might instead choose to announce an update about this next week that includes the new category.

Elitre added a subscriber: Elitre.Mon, Sep 4, 1:28 PM
ssastry closed this task as Resolved.Wed, Sep 6, 4:53 PM

The new changes to the category output have been deployed.

Johan added a comment.Wed, Sep 6, 8:29 PM

@ssastry Thanks. How would you, simplified, put this in a couple of sentences?

@ssastry Thanks. How would you, simplified, put this in a couple of sentences?

Linter added a new high priority category: "tidy-whitespace-bug". This usually affects templates with lists that display horizontally.

How about that?